-- ENSPS - Igem project
-- Version 1
-- May 2011

-------------------------------
--       PATTERN FILE        --
--   Test Bench Genaration   --
-------------------------------
LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
use work.biological_systems.all;
USE work.all;

ENTITY E_Oscillator IS
END ENTITY;


ARCHITECTURE Oscillator OF E_Oscillator IS

   -- Signals declaration
signal s_Act : std_logic := '0';
terminal Act_term : Act;
terminal rep_term : rep;
terminal araC_term : araC;
terminal lacI_term : lacI;
terminal yemGFP_term : yemGFP;
quantity CAct across FAct through Act_term to Act_cell;
quantity Crep across Frep through rep_cell to rep_term;



BEGIN

  -- Mapping
E_ajout : entity ajout(conservative)				port map(
				Act_term => Act_term,
				rep_term => rep_term,
				Prot_term => araC_term);
E_araC_capacitor : entity araC_capacitor(conservative)				port map(
				a => araC_term,
				b => araC_CELL				);
E_araC_synth : entity araC_synth(conservative)				port map(
				araC_term => araC_term,
				lacI_term => lacI_term,
				Prot_term => araC_term				);
E_lacI_synth : entity lacI_synth(conservative)				port map(
				araC_term => araC_term,
				lacI_term => lacI_term,
				Prot_term => lacI_term);
E_lacI_capacitor : entity lacI_capacitor(conservative)				port map(
				a => lacI_term,
				b => lacI_CELL				);
E_yemGFP_synth : entity yemGFP_synth(conservative)				port map(
				araC_term => araC_term,
				lacI_term => lacI_term,
				Prot_term => yemGFP_term);
E_yemGFP_capacitor : entity yemGFP_capacitor(conservative)				port map(
				a => yemGFP_term,
				b => yemGFP_CELL				);
 

  -- Signal Variations
	break on s_Act;
	if s_Act='1' use
	        CAct == 1.0;
	else
	        CAct == 0.0;
	end use;
	
    Crep == 0.0;

	s_Act <= '0',
	'1' after 50 sec,
	'0' after 150 sec;
						 			

END ARCHITECTURE;

