library IEEE;
    use IEEE.FUNDAMENTAL_CONSTANTS.all;

package BIOLOGICAL_SYSTEMS is
   -- type declarations

   -- subtype declarations
   subtype CONCENTRATION     is REAL tolerance "DEFAULT_CONCENTRATION";
   subtype FLUX     is REAL tolerance "DEFAULT_FLUX";

   -- nature declarations

   nature BIOLOGICAL is
      CONCENTRATION        across
      FLUX        through
      BIOLOGICAL_REF reference;

      nature Act is
      CONCENTRATION        across
      FLUX        through
      Act_REF reference;

   nature rep is
      CONCENTRATION        across
      FLUX        through
      rep_REF reference;

   nature araC is
      CONCENTRATION        across
      FLUX        through
      araC_REF reference;

   nature araC_arnm is
      CONCENTRATION        across
      FLUX        through
      araC_ARNM_REF reference;

   nature lacI is
      CONCENTRATION        across
      FLUX        through
      lacI_REF reference;

   nature lacI_arnm is
      CONCENTRATION        across
      FLUX        through
      lacI_ARNM_REF reference;

   nature yemGFP is
      CONCENTRATION        across
      FLUX        through
      yemGFP_REF reference;

   nature yemGFP_arnm is
      CONCENTRATION        across
      FLUX        through
      yemGFP_ARNM_REF reference;


	  
   attribute UNIT of CONCENTRATION       : subtype is "Concentration";
   attribute UNIT of FLUX     		     : subtype is "Protein";
   
   attribute SYMBOL of CONCENTRATION     : subtype is "C";
   attribute SYMBOL of FLUX     		 : subtype is "P";

   alias CELL is BIOLOGICAL_REF;
   
      alias Act_CELL is Act_REF;
   alias rep_CELL is rep_REF;
   alias araC_CELL is araC_REF;
   alias araC_ARNM_CELL is araC_ARNM_REF;
   alias lacI_CELL is lacI_REF;
   alias lacI_ARNM_CELL is lacI_ARNM_REF;
   alias yemGFP_CELL is yemGFP_REF;
   alias yemGFP_ARNM_CELL is yemGFP_ARNM_REF;

   
end package BIOLOGICAL_SYSTEMS;

